> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve ASN

> Retrieves a specific ASN.




## OpenAPI

````yaml get /public/user/asn/retrieve/{asn_id}
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/asn/retrieve/{asn_id}:
    get:
      tags:
        - ASN
      summary: Retrieve ASN
      description: |
        Retrieves a specific ASN.
      parameters:
        - name: asn_id
          in: path
          description: ID of the ASN to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful ASN Retrieve
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/AsnSuccessfulRetrieveResponse'
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  schemas:
    AsnSuccessfulRetrieveResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            asn_id:
              type: integer
              example: 13335
            asn_ip_address_count:
              type: integer
              example: 1791744
            asn_name:
              type: string
              example: Cloudflare, Inc.
            asn_node_count:
              type: integer
              example: 1234
            asn_rir:
              type: string
              example: apnic
              enum:
                - arin
                - ripe
                - apnic
                - lacnic
                - afrinic
                - jpnic
            asn_type:
              type: string
              example: hosting
              enum:
                - business
                - cdn
                - education
                - gov
                - hosting
                - isp
            country_id:
              type: string
              example: us
          description: Retrieved Asn item details.
        message:
          type: string
          description: Status message for the retrieval.
      description: Asn retrieve was successful.
      example:
        data:
          asn_id: 13335
          asn_ip_address_count: 1791744
          asn_name: Cloudflare, Inc.
          asn_node_count: 1234
          asn_rir: apnic
          asn_type: hosting
          country_id: us
        message: Asn successfully retrieved.
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````